<?php
	require_once 'class.liteMan.php';
	require_once 'JSON.php';
	
	sleep(rand(1,3));
	
	
	$action = $_GET['action'];
	$login = $_POST['login'];
	$qstring = $_POST['qstring'];
	
	$db = new liteMan();
	if(!($db->zalogowany($login, $qstring))){
		die("");
	}else{		
		$json = new Services_JSON();
		switch($action){
			case 'getlist':
				$albumy = $db->pobierzAlbumy();	
				$ret = $json->encode($albumy);
				break;
				
			case 'getalllist':
				$albumy = $db->pobierzWszystkieAlbumy();
				$ret = $json->encode($albumy);
				break;
				
			case 'getdetails':
				$id = $_GET['id'];
				$album = $db->pobierzAlbum($id);
				$album['utwory'] = $db->pobierzUtwory($id);
				$ret = $json->encode($album);
				break;
				
			case 'search':
				$q = $_GET['q'];
				$wyniki = $db->wyszukajAlbumy($q);
				$ret = $json->encode($wyniki);
				break;
				
			case 'rmtrack':
				$id = $_GET['id'];
				$db->usunUtwor($id);
				$ret = "usunieto utwor o id: $id";
				break;
				
			case 'rmalbum':
				$id = $_GET['id'];
				$db->usunAlbumUtwory($id);
				$ret = "usunieto album o id: $id oraz jego utwory";
				break;
				
			case 'addtrack':
				$id = $_GET['id'];
				$db->dodajNowyUtwor($id);
				$ret = "Dodano utwor";
				break;
				
			case 'addalbum':
				$nowe_id = $db->dodajNowyAlbum();
				$ret = $nowe_id;
				break;
				
			case 'count':
				$ile = $db->pobierzIloscAlbumow();
				$ret = $ile;
				break;
				
			case 'uptrack':
				$id = $_GET['id'];
				$lp = $_GET['lp'];
				$utwor = $_GET['utwor'];
				$czas = $_GET['czas'];
				
				if($lp != ''){
					$db->aktualizujUtworyLp($id, $lp);
					$ret = "Zaktualizowano lp utworu";
				}elseif($utwor != ''){
					$db->aktualizujUtworyUtwor($id, $utwor);
					$ret = "Zaktualizowano utwor utworu";
				}elseif($czas != ''){
					$db->aktualizujUtworyCzas($id, $czas);
					$ret = "Zaktualizowano czas utworu";
				}else{
					$ret = "";
				}
				break;
				
			case 'upalbum':
				$id = $_GET['id'];
				$tytul = $_GET['tytul'];
				$wykonawca = $_GET['wykonawca'];
				$data_wydania = $_GET['data_wydania'];
				
				if($tytul != ''){
					$db->aktualizujAlbumTytul($id, $tytul);
					$ret = "Zaktualizowano tytul albumu!";
				}elseif($wykonawca != ''){
					$db->aktualizujAlbumWykonawca($id, $wykonawca);
					$ret = "Zaktualizowano wykonawce albumu!";
				}elseif($data_wydania != ''){
					$db->aktualizujAlbumDatawydania($id, $data_wydania);
					$ret = "Zaktualizowano date wydania albumu!";
				}else{
					$ret = "";
				}
				break;
			
			default:
				$ret = "";
		}
		print($ret);
	}

?>